<div class="row animated fadeIn">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <input #input (keyup)="buscarHospital(input.value)" type="text" class="form-control" placeholder="Search...">  
      </div>
    </div>
  </div>
</div>

<div class="row animated fadeIn">
  <div class="col-12">
    <div class="card">
      <div class="card-body">

        <div class="text-right">
          <button (click)="crearHospital()" type="button" class="btn btn-rounded btn-outline-secondary">
            <i class="fa fa-plus"></i>
            Crear hospital
          </button>
        </div>

        <div class="car-title"> Cantidad de Hospitales ( {{ _hospitalService.totalHospitales }} )</div>

        <table class="table table-hover">
          <thead>
            <tr>
              <th> Imagen </th>
              <th> Hospital </th>
              <th>  </th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let hospital of hospitales">
              <td> 
                <img (click)="mostrarModal( hospital )" [src]="hospital.img | imagen:'hospital'" class="img-50 img-circle pointer">
              </td>
              <td>
                  <input ([ngModel])="hospital.nombre" name="nombre" class="form-control" [placeholder]="hospital.nombre" type="text">
              </td>
              <td class="text-right"> 
                <button (click)="guardarHospital( hospital )" type="button" class="btn btn-secondary">
                  <i class="fa fa-save"></i>
                </button>
                <button (click)="borrarHospital( hospital )" type="button" class="btn btn-secondary">
                  <i class="fa fa-trash-o"></i>
                </button>
              </td>
            </tr>
          </tbody>
        </table>
            
      </div>
    </div>
  </div>
</div>